<?php
/**
 * @project Astra.CMS
 * @link http://a-cms.ru/
 * @copyright 2011 " "
 * @author Vitaly Hohlov <admin@a-cms.ru>
 * @package Plugins
 */
/**************************************************************************/

require_once("system/smarty/Smarty.class.php");
require_once("system/mail/mail.php");

$row=A::$DB->getRowById(A::$OPTIONS['subsection'],A::$DOMAIN."_sections");
$section = A::$DOMAIN."_".$row['lang']."_".$row['name'];
$module=$row['module'];

A::$DB->queryLimit("
SELECT s.*,m.name,m.format,m.date,m.content,m.attach
FROM ".A::$STRUCTURE."_stream AS s
LEFT JOIN ".A::$STRUCTURE."_mails AS m ON m.id=s.idmail
ORDER BY id",0,A::$OPTIONS['sendcount']);
while($row=A::$DB->fetchRow())
if($user=A::$DB->getRowById($row['idsub'],$section))
{
  $row['content']=str_replace(array("{username}","{userlogin}"),array($user['name'],$user['login']),$row['content']);

  if(!empty(A::$OPTIONS['mail'.$row['format']]))
  { $smarty = new Smarty();
    $smarty->template_dir="templates/".A::$DOMAIN."/mails/";
	$smarty->compile_dir="templates_c/".A::$DOMAIN."/mails/";
	$smarty->Assign("mail",$row);
	$smarty->Assign("user",$user);
	$content=$smarty->fetch(A::$OPTIONS['mail'.$row['format']]);
  }
  else
  $content=$row['content'];

  $mail = new htmlMimeMail();
  $mail->setFrom(A::$OPTIONS['mailsfrom']);
  if(A::$OPTIONS['smtp_use'])
  $mail->setSMTPParams(A::$OPTIONS['smtp_host'],A::$OPTIONS['smtp_port'],A::$OPTIONS['smtp_auth'],A::$OPTIONS['smtp_login'],A::$OPTIONS['smtp_password']);

  $mail->setSubject($row['name']);

  switch($row['format'])
  { case "text": $mail->setText($content); break;
    case "html": $mail->setHTML($content,null,"."); break;
  }

  if(!empty($row['attach']))
  { if($data=@file_get_contents($row['attach']))
    $mail->addAttachment($data,basename($row['attach']),getMimeByFile($row['attach']));
  }

  if($mail->send(array($user['email']),A::$OPTIONS['smtp_use']?"smtp":"mail"))
  A::$DB->execute("DELETE FROM ".A::$STRUCTURE."_stream WHERE id=".$row['id']);
}
A::$DB->free();