DROP TABLE IF EXISTS `{structure}_mails`;
CREATE TABLE `{structure}_mails` (
  `id` int(11) NOT NULL auto_increment,
  `date` int(11) NOT NULL default '0',
  `name` varchar(100) NOT NULL default '',
  `format` enum('text','html') NOT NULL default 'text',
  `content` text default NULL,
  `attach` varchar(200) NOT NULL default '',
  `send` enum('Y','N') NOT NULL default 'N',
  `visible` enum('Y','N') NOT NULL default 'Y',
  PRIMARY KEY  (`id`),
  KEY `date` (`date`),
  KEY `name` (`name`),
  KEY `visible` (`visible`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;

DROP TABLE IF EXISTS `{structure}_stream`;
CREATE TABLE `{structure}_stream` (
  `id` int(11) NOT NULL auto_increment,
  `idsub` int(11) NOT NULL default '0',
  `idmail` int(11) NOT NULL default '0',
  PRIMARY KEY  (`id`)
) ENGINE=MyISAM DEFAULT CHARSET=utf8;
